/* tde33r.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

int main(void)
{
    /* Builtin functions */
    double sqrt(double), sin(double), cos(double);

    /* Local variables */
    extern int de33r_c(U_fp, int *, int *, float *, float *, float *, float *,
                       float *, float *, float *, float *, float *, int *);
    static int ierr;
    extern int f_c();
    static float h__;
    static int i__, m;
    static float r__[2], x[5], y[10] /* was [2][5] */, r1, r2,
                              df[10] /* was [2][5] */,
                  rf[2], rs[2], xn, yn[2];
    static int iorder;

#define y_ref(a_1,a_2) y[(a_2)*2 + a_1 - 3]
#define df_ref(a_1,a_2) df[(a_2)*2 + a_1 - 3]

    iorder = 5;
    m = 2;
    h__ = .01f;
    xn = 2.3561944901925003f;
    yn[0] = (float)sqrt(2.f) / 2.f;
    yn[1] = -yn[0];
    de33r_c((U_fp)f_c, &m, &iorder, &xn, yn, &h__, df, x, y, rs, rf, r__,
            &ierr);

    xn = x[4];
    r1 = (float)sin(xn);
    r2 = (float)cos(xn);

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %16.7e \n", x[i__-1]);
    }
    printf("\n %16.7e %16.7e \n", y_ref(1, 5), y_ref(2, 5));
    printf("\n %16.7e %16.7e \n", r1, r2);
    for (i__ = 1; i__ <= 2; ++i__) {
         printf("\n %16.7e %16.7e %16.7e \n",
                df_ref(i__, 1), df_ref(i__, 2), df_ref(i__, 3));
         printf(" %16.7e %16.7e \n",
                df_ref(i__, 4), df_ref(i__, 5));
    }
    return 0;
} /* main */

#undef df_ref
#undef y_ref

int f_c(float *x, float *y, float *dy, int *m)
{
    /* Parameter adjustments */
    --dy;
    --y;

    /* Function Body */
    dy[1] = y[2];
    dy[2] = -y[1];
    return 0;
} /* f_c */
